## GstTensor

Hold tensor data

### Members

`id` (GQuark) –

semantically identify the contents of the tensor

`layout` (GstTensorLayout) –

Indicate tensor layout

`data_type` (GstTensorDataType) –

GstTensorDataType of tensor data

`data` (GstBuffer *) –

GstBuffer holding tensor data

`dims_order` (GstTensorDimOrder) –

Indicate tensor elements layout in memory.

`num_dims` (gsize) –

number of tensor dimensions

`dims` (gsize *) –

number of tensor dimensions

Since : 1.26

## GstAnalytics.Tensor

Hold tensor data

### Members

`id` (GLib.Quark) –

semantically identify the contents of the tensor

`layout` (GstAnalytics.TensorLayout) –

Indicate tensor layout

`data_type` (GstAnalytics.TensorDataType) –

GstAnalytics.TensorDataType of tensor data

`data` (Gst.Buffer) –

Gst.Buffer holding tensor data

`dims_order` (GstAnalytics.TensorDimOrder) –

Indicate tensor elements layout in memory.

`num_dims` (Number) –

number of tensor dimensions

`dims` ([ Number ]) –

number of tensor dimensions

Since : 1.26

## GstAnalytics.Tensor

Hold tensor data

### Members

`id` (GLib.Quark) –

semantically identify the contents of the tensor

`layout` (GstAnalytics.TensorLayout) –

Indicate tensor layout

`data_type` (GstAnalytics.TensorDataType) –

GstAnalytics.TensorDataType of tensor data

`data` (Gst.Buffer) –

Gst.Buffer holding tensor data

`dims_order` (GstAnalytics.TensorDimOrder) –

Indicate tensor elements layout in memory.

`num_dims` (int) –

number of tensor dimensions

`dims` ([ int ]) –

number of tensor dimensions

Since : 1.26

### Constructors

#### gst_tensor_alloc

    GstTensor *
    gst_tensor_alloc (gsize num_dims)

Allocate a tensor with num_dims dimensions.

Parameters:

`num_dims` –

Number of dimension of the tensors

Returns ( [transfer: full][not nullable]) –

tensor allocated

Since : 1.26

#### GstAnalytics.Tensor.prototype.alloc

    function GstAnalytics.Tensor.prototype.alloc(num_dims: Number): {
        // javascript wrapper for 'gst_tensor_alloc'
    }

Allocate a tensor with num_dims dimensions.

Parameters:

`num_dims` (Number) –

Number of dimension of the tensors

Returns (GstAnalytics.Tensor) –

tensor allocated

Since : 1.26

#### GstAnalytics.Tensor.alloc

    def GstAnalytics.Tensor.alloc (num_dims):
        #python wrapper for 'gst_tensor_alloc'

Allocate a tensor with num_dims dimensions.

Parameters:

`num_dims` (int) –

Number of dimension of the tensors

Returns (GstAnalytics.Tensor) –

tensor allocated

Since : 1.26

#### gst_tensor_new_simple

    GstTensor *
    gst_tensor_new_simple (GQuark id,
                           GstTensorDataType data_type,
                           GstBuffer * data,
                           GstTensorDimOrder dims_order,
                           gsize num_dims,
                           gsize * dims)

Allocates a new GstTensor of dims_order ROW_MAJOR or COLUMN_MAJOR and with an interleaved layout

Parameters:

`id` –

semantically identify the contents of the tensor

`data_type` –

GstTensorDataType of tensor data

`data` ( [transfer: full]) –

GstBuffer holding tensor data

`dims_order` –

Indicate tensor dimension indexing order

`num_dims` –

number of tensor dimensions

`dims` ( [array length=num_dims]) –

tensor dimensions. Value of 0 mean the dimension is dynamic.

Returns –

A newly allocated GstTensor

Since : 1.26

#### GstAnalytics.Tensor.prototype.new_simple

    function GstAnalytics.Tensor.prototype.new_simple(id: GLib.Quark, data_type: GstAnalytics.TensorDataType, data: Gst.Buffer, dims_order: GstAnalytics.TensorDimOrder, num_dims: Number, dims: [ Number ]): {
        // javascript wrapper for 'gst_tensor_new_simple'
    }

Allocates a new GstAnalytics.Tensor of dims_order ROW_MAJOR or COLUMN_MAJOR and with an interleaved layout

Parameters:

`id` (GLib.Quark) –

semantically identify the contents of the tensor

`data_type` (GstAnalytics.TensorDataType) –

GstAnalytics.TensorDataType of tensor data

`data` (Gst.Buffer) –

Gst.Buffer holding tensor data

`dims_order` (GstAnalytics.TensorDimOrder) –

Indicate tensor dimension indexing order

`num_dims` (Number) –

number of tensor dimensions

`dims` ([ Number ]) –

tensor dimensions. Value of 0 mean the dimension is dynamic.

Returns (GstAnalytics.Tensor) –

A newly allocated GstAnalytics.Tensor

Since : 1.26

#### GstAnalytics.Tensor.new_simple

    def GstAnalytics.Tensor.new_simple (id, data_type, data, dims_order, num_dims, dims):
        #python wrapper for 'gst_tensor_new_simple'

Allocates a new GstAnalytics.Tensor of dims_order ROW_MAJOR or COLUMN_MAJOR and with an interleaved layout

Parameters:

`id` (GLib.Quark) –

semantically identify the contents of the tensor

`data_type` (GstAnalytics.TensorDataType) –

GstAnalytics.TensorDataType of tensor data

`data` (Gst.Buffer) –

Gst.Buffer holding tensor data

`dims_order` (GstAnalytics.TensorDimOrder) –

Indicate tensor dimension indexing order

`num_dims` (int) –

number of tensor dimensions

`dims` ([ int ]) –

tensor dimensions. Value of 0 mean the dimension is dynamic.

Returns (GstAnalytics.Tensor) –

A newly allocated GstAnalytics.Tensor

Since : 1.26

### Methods

#### gst_tensor_copy

    GstTensor *
    gst_tensor_copy (const GstTensor * tensor)

Create a copy of tensor.

Parameters:

`tensor` ( [transfer: none][nullable]) –

a GstTensor to be copied

Returns ( [transfer: full][nullable]) –

a new GstTensor

Since : 1.26

#### GstAnalytics.Tensor.prototype.copy

    function GstAnalytics.Tensor.prototype.copy(): {
        // javascript wrapper for 'gst_tensor_copy'
    }

Create a copy of tensor.

Parameters:

`tensor` (GstAnalytics.Tensor) –

a GstAnalytics.Tensor to be copied

Returns (GstAnalytics.Tensor) –

a new GstAnalytics.Tensor

Since : 1.26

#### GstAnalytics.Tensor.copy

    def GstAnalytics.Tensor.copy (self):
        #python wrapper for 'gst_tensor_copy'

Create a copy of tensor.

Parameters:

`tensor` (GstAnalytics.Tensor) –

a GstAnalytics.Tensor to be copied

Returns (GstAnalytics.Tensor) –

a new GstAnalytics.Tensor

Since : 1.26

#### gst_tensor_free

    gst_tensor_free (GstTensor * tensor)

Free tensor

Parameters:

`tensor` ( [in][transfer: full]) –

pointer to tensor to free

Since : 1.26

#### GstAnalytics.Tensor.prototype.free

    function GstAnalytics.Tensor.prototype.free(): {
        // javascript wrapper for 'gst_tensor_free'
    }

Free tensor

Parameters:

`tensor` (GstAnalytics.Tensor) –

pointer to tensor to free

Since : 1.26

#### GstAnalytics.Tensor.free

    def GstAnalytics.Tensor.free (self):
        #python wrapper for 'gst_tensor_free'

Free tensor

Parameters:

`tensor` (GstAnalytics.Tensor) –

pointer to tensor to free

Since : 1.26

#### gst_tensor_get_dims

    gsize *
    gst_tensor_get_dims (GstTensor * tensor,
                         gsize * num_dims)

Gets the dimensions of the tensor.

Parameters:

`tensor` –

a GstTensor

`num_dims` ( [out]) –

The number of dimensions

Returns ( [array length=num_dims][transfer: none]) –

The dims array form the tensor

Since : 1.26

#### GstAnalytics.Tensor.prototype.get_dims

    function GstAnalytics.Tensor.prototype.get_dims(): {
        // javascript wrapper for 'gst_tensor_get_dims'
    }

Gets the dimensions of the tensor.

Parameters:

`tensor` (GstAnalytics.Tensor) –

a GstAnalytics.Tensor

Returns a tuple made of:

([ Number ] ) –

The dims array form the tensor

`num_dims` (Number ) –

The dims array form the tensor

Since : 1.26

#### GstAnalytics.Tensor.get_dims

    def GstAnalytics.Tensor.get_dims (self):
        #python wrapper for 'gst_tensor_get_dims'

Gets the dimensions of the tensor.

Parameters:

`tensor` (GstAnalytics.Tensor) –

a GstAnalytics.Tensor

Returns a tuple made of:

([ int ] ) –

The dims array form the tensor

`num_dims` (int ) –

The dims array form the tensor

Since : 1.26

## Enumerations

### GstTensorDataType

Describe the type of data contain in the tensor.

##### Members

`GST_TENSOR_DATA_TYPE_INT4` (0) –

signed 4 bit integer tensor data

`GST_TENSOR_DATA_TYPE_INT8` (1) –

signed 8 bit integer tensor data

`GST_TENSOR_DATA_TYPE_INT16` (2) –

signed 16 bit integer tensor data

`GST_TENSOR_DATA_TYPE_INT32` (3) –

signed 32 bit integer tensor data

`GST_TENSOR_DATA_TYPE_INT64` (4) –

signed 64 bit integer tensor data

`GST_TENSOR_DATA_TYPE_UINT4` (5) –

unsigned 4 bit integer tensor data

`GST_TENSOR_DATA_TYPE_UINT8` (6) –

unsigned 8 bit integer tensor data

`GST_TENSOR_DATA_TYPE_UINT16` (7) –

unsigned 16 bit integer tensor data

`GST_TENSOR_DATA_TYPE_UINT32` (8) –

unsigned 32 bit integer tensor data

`GST_TENSOR_DATA_TYPE_UINT64` (9) –

unsigned 64 bit integer tensor data

`GST_TENSOR_DATA_TYPE_FLOAT16` (10) –

16 bit floating point tensor data

`GST_TENSOR_DATA_TYPE_FLOAT32` (11) –

32 bit floating point tensor data

`GST_TENSOR_DATA_TYPE_FLOAT64` (12) –

64 bit floating point tensor data

`GST_TENSOR_DATA_TYPE_BFLOAT16` (13) –

"brain" 16 bit floating point tensor data

Since : 1.26

### GstAnalytics.TensorDataType

Describe the type of data contain in the tensor.

##### Members

`GstAnalytics.TensorDataType.INT4` (0) –

signed 4 bit integer tensor data

`GstAnalytics.TensorDataType.INT8` (1) –

signed 8 bit integer tensor data

`GstAnalytics.TensorDataType.INT16` (2) –

signed 16 bit integer tensor data

`GstAnalytics.TensorDataType.INT32` (3) –

signed 32 bit integer tensor data

`GstAnalytics.TensorDataType.INT64` (4) –

signed 64 bit integer tensor data

`GstAnalytics.TensorDataType.UINT4` (5) –

unsigned 4 bit integer tensor data

`GstAnalytics.TensorDataType.UINT8` (6) –

unsigned 8 bit integer tensor data

`GstAnalytics.TensorDataType.UINT16` (7) –

unsigned 16 bit integer tensor data

`GstAnalytics.TensorDataType.UINT32` (8) –

unsigned 32 bit integer tensor data

`GstAnalytics.TensorDataType.UINT64` (9) –

unsigned 64 bit integer tensor data

`GstAnalytics.TensorDataType.FLOAT16` (10) –

16 bit floating point tensor data

`GstAnalytics.TensorDataType.FLOAT32` (11) –

32 bit floating point tensor data

`GstAnalytics.TensorDataType.FLOAT64` (12) –

64 bit floating point tensor data

`GstAnalytics.TensorDataType.BFLOAT16` (13) –

"brain" 16 bit floating point tensor data

Since : 1.26

### GstAnalytics.TensorDataType

Describe the type of data contain in the tensor.

##### Members

`GstAnalytics.TensorDataType.INT4` (0) –

signed 4 bit integer tensor data

`GstAnalytics.TensorDataType.INT8` (1) –

signed 8 bit integer tensor data

`GstAnalytics.TensorDataType.INT16` (2) –

signed 16 bit integer tensor data

`GstAnalytics.TensorDataType.INT32` (3) –

signed 32 bit integer tensor data

`GstAnalytics.TensorDataType.INT64` (4) –

signed 64 bit integer tensor data

`GstAnalytics.TensorDataType.UINT4` (5) –

unsigned 4 bit integer tensor data

`GstAnalytics.TensorDataType.UINT8` (6) –

unsigned 8 bit integer tensor data

`GstAnalytics.TensorDataType.UINT16` (7) –

unsigned 16 bit integer tensor data

`GstAnalytics.TensorDataType.UINT32` (8) –

unsigned 32 bit integer tensor data

`GstAnalytics.TensorDataType.UINT64` (9) –

unsigned 64 bit integer tensor data

`GstAnalytics.TensorDataType.FLOAT16` (10) –

16 bit floating point tensor data

`GstAnalytics.TensorDataType.FLOAT32` (11) –

32 bit floating point tensor data

`GstAnalytics.TensorDataType.FLOAT64` (12) –

64 bit floating point tensor data

`GstAnalytics.TensorDataType.BFLOAT16` (13) –

"brain" 16 bit floating point tensor data

Since : 1.26

### GstTensorDimOrder

Indicate to read tensor from memory in row-major or column-major order.

##### Members

`GST_TENSOR_DIM_ORDER_ROW_MAJOR` (0) –

elements along a row are consecutive in memory

`GST_TENSOR_DIM_ORDER_COL_MAJOR` (1) –

elements along a column are consecutive in memory

Since : 1.26

### GstAnalytics.TensorDimOrder

Indicate to read tensor from memory in row-major or column-major order.

##### Members

`GstAnalytics.TensorDimOrder.ROW_MAJOR` (0) –

elements along a row are consecutive in memory

`GstAnalytics.TensorDimOrder.COL_MAJOR` (1) –

elements along a column are consecutive in memory

Since : 1.26

### GstAnalytics.TensorDimOrder

Indicate to read tensor from memory in row-major or column-major order.

##### Members

`GstAnalytics.TensorDimOrder.ROW_MAJOR` (0) –

elements along a row are consecutive in memory

`GstAnalytics.TensorDimOrder.COL_MAJOR` (1) –

elements along a column are consecutive in memory

Since : 1.26

### GstTensorLayout

Indicate tensor storage in memory.

##### Members

`GST_TENSOR_LAYOUT_CONTIGUOUS` (0) –

indicate the tensor is stored in a dense format in memory

Since : 1.26

### GstAnalytics.TensorLayout

Indicate tensor storage in memory.

##### Members

`GstAnalytics.TensorLayout.TENSOR_LAYOUT_CONTIGUOUS` (0) –

indicate the tensor is stored in a dense format in memory

Since : 1.26

### GstAnalytics.TensorLayout

Indicate tensor storage in memory.

##### Members

`GstAnalytics.TensorLayout.TENSOR_LAYOUT_CONTIGUOUS` (0) –

indicate the tensor is stored in a dense format in memory

Since : 1.26

The results of the search are